# Voiceflow Module

## Overview

The Voiceflow module provides integration with the Voiceflow chatbot, allowing
for dynamic interaction on your Drupal site. It offers configuration options to
enable or disable the chatbot and to exclude certain paths from having the
chatbot attached.

## Features

- **Chatbot**: The module adds the chatbot to the pages based on the
configuration settings, starting from the project ID provided by Voiceflow.
- **Path Exclusion**: Administrators can specify paths to exclude from having
the chatbot attached, ensuring it only appears where desired.

## Configuration

The module relies on settings stored in `voiceflow.settings` to control its
behavior. Access the Voiceflow settings at `/admin/config/system/voiceflow`.

- **Enable Voiceflow**: Toggle the chatbot on or off via the configuration
settings.
- **Project ID**: Add the Project ID provided by the Voiceflow platform to
integrate your chatbot into your Drupal site.
- **Exclude Paths**: Define paths to exclude from chatbot attachment using a
newline-separated list in the configuration.

---

# Voiceflow Index Submodule

## Overview

The Voiceflow Index module extends the functionality of the Voiceflow module by
allowing specific content types to be indexed for use by the Voiceflow Chatbot.
It provides a form alteration to include a "Voiceflow Index" field on node forms.

## Features

- **Form Alteration**: Configures the Voiceflow Index module to implements
"Voiceflow Index" checkbox to node forms for selected content types.
Integrates in the "advanced" options group on node forms, providing a
seamless user experience.
- **Indexing Process**: When a node is saved with the "Voiceflow Index" option
enabled, it is marked for inclusion in the XML index. This ensures that only
relevant nodes are indexed.
- **XML Generation**: The module generates an XML document listing all nodes
with the "Voiceflow Index" enabled. It includes:
  - **Canonical URLs**: Each node's canonical URL is included in the XML.
  - **Multilingual Support**: The XML handles all available translations for
  each node, providing alternate links for each language.
  - **Last Modification Date**: The XML includes the last modification date for
  each node, ensuring up-to-date information.
- **XML Index URL**: Nodes that have been marked for indexing will be reflected
in `/voiceflow.xml`.

## Configuration

The module relies on settings stored in `voiceflow_index.settings` to control
its behavior. Access the Voiceflow Index settings at
`/admin/config/system/voiceflow/index`.

- **Content Type Selection**: Administrators can select which content types
should have the "Voiceflow Index" option available on their forms.
